# SOCK_IO.h File Reference

`#include "ace/SOCK.h"`
`#include "ace/ACE.h"`
`#include "ace/SOCK_IO.inl"`

Include dependency graph for SOCK_IO.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SOCK_IO
| Defines the methods for the ACE socket wrapper I/O routines (e.g., send/recv). More...

## Detailed Description

Id
  SOCK_IO.h,v 4.38 2006/02/25 23:01:14 shuston Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>